For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Region by ID

Returns information from your requested region ID.

https://api.sportmonks.com/v3/core/regions/{ID}
{
  "data": {
    "id": 724,
    "country_id": 38,
    "name": "Utrecht"
  },
Field
Description
Type

id

Refers to the id of the region

integer

country_id

Refers to the country of the region

integer

name

Displays the name of the region

string

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Not applicable for this endpoint.

The dynamic filters are based on entities and includes. Each dynamic filter uses an entity to filter on and one entity to apply the filter on. Below are examples with explanations of how filters are set up. For more information, please look at our Filters page.

Dynamic Filters
Available on Entity
Description
Examples

countries

Coaches, Leagues, Players, Teams, and way more. Check this endpoint for all possibilities.

Filter regions and more based on countries.

&include=countries&filters=countryRegions:countryIDS

leagues

Check this endpoint for all possibilities.

Filter regions and more based on cities.

&include=cities&filters=cityREgions:cityIDS

Pagination

No

Include depth

You can use a total of 3 nested includes on this endpoint

Include options

country cities

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the regions' endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/core/regions/{ID}?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/core/regions/{ID}?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated

Was this helpful?